Zandronum Chat on our Discord Server Get the latest version: 3.1
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002396Zandronum[All Projects] Suggestionpublic2015-08-10 07:512022-07-02 01:17
ReporterDark-Assassin 
Assigned To 
PriorityhighSeveritytweakReproducibilityN/A
StatusnewResolutionopen 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version 
Target VersionFixed in Version 
Summary0002396: [Installer] Change default installation directory
DescriptionAs you all should know, since Windows Vista, pretty much anything in the Program Files or Program Files (x86) directories require the user to have Administrator Access or modified permissions to make any changes.

What I propose is to change the default installation directory from C:\Program Files (x86)\Zandronum to something like C:\Games\Zandronum as seen in some other game installers.
Additional InformationFew examples of errors from installing in the current default directory:
http://zandronum.com/forum/showthread.php?tid=6292 [^]
http://zandronum.com/forum/showthread.php?tid=6293 [^]
http://zandronum.com/forum/showthread.php?tid=5974 [^]
http://zandronum.com/forum/showthread.php?tid=5969 [^]
Attached Files

- Relationships
has duplicate 0002398closed Use the AppData folder for the configuration file instead of install folder 

-  Notes
User avatar (0013185)
Dark-Assassin (administrator)
2015-08-10 07:52

Damn italics made \ look like |
User avatar (0013192)
Dusk (developer)
2015-08-10 13:41

How come did this suddenly surface with multiple users in such a short timeframe if this has been the case since Windows Vista? Did Windows 10 do something that causes this to be a problem now?
User avatar (0013193)
Klofkac (reporter)
2015-08-10 13:46
edited on: 2015-08-10 13:50

Or, instead of changing the installation directory (it is kind of non-standard), the configuration file could be put to %AppData%\Zandronum directory instead. AppData is exactly made for things like this. And in order to maintain portability and compatibility with older version, Zandronum could look into its own directory first, but if it does not find anything, create new in AppData.
Linux is already using ~/.zandronum/ for config, so there is not this problem. So why not make it same for Windows?

User avatar (0013206)
Dark-Assassin (administrator)
2015-08-11 01:38
edited on: 2015-08-11 01:39

The configs should be writing to AppData, but for some it still isn't. Something could have changed in Windows 8, but I've only got 7.

Another downfall is that you still require elevated privileges to install any WAD/PK3 files in to the installation directory. Weather manually or from DE, DS or IDE.

And with the linux part, is is completely standard to write everything user modifiable to the user's home directory. Same with OSX too.
Else, you must have root access to write anything.

User avatar (0013207)
HexaDoken (reporter)
2015-08-11 07:06

Re: Klofkac's suggestion: should this ever make it in, I request an option of some form that would allow me to override the config file location back to the game's folder.

I have always absolutely hated it when a program stores pretty much anything belonging to it outside of the folder it is in.
User avatar (0013208)
Klofkac (reporter)
2015-08-11 09:54

Quote

should this ever make it in, I request an option of some form that would allow me to override the config file location back to the game's folder.


Well, as I said, for compatibility purposes Zandronum could always look into its own directory first. Meaning, you can just move the config from AppData to Zandronum folder and done.
User avatar (0013217)
Dusk (developer)
2015-08-14 07:55
edited on: 2015-08-14 07:55

I think this should be a last resort to save the ini if saving fails and -config is not given.

User avatar (0022272)
duke (reporter)
2022-06-20 23:06

The latest Zandronum 3.1 installer now uses %LOCALAPPDATA%\Zandronum as the default installation directory.

But the zandronum-installer repository on OSDN hasn't been updated since 2019. The repo version still uses Program Files by default and this issue remains open.

Could the installer changes be pushed to the repo and this issue closed?
User avatar (0022274)
DrinkyBird (updater)
2022-07-02 01:17

The main installer repo is on GitHub, for some reason:https://github.com/TorrSamaho/zandronum-installer. [^] Not sure why the repo on OSDN isn't the main and isn't being updated.

And yes, this ticket should be closed.

Issue Community Support
Only registered users can voice their support. Click here to register, or here to log in.
Supporters: DrinkyBird Empyre Hypnotoad WaTaKiD
Opponents: Unknown

- Issue History
Date Modified Username Field Change
2015-08-10 07:51 Dark-Assassin New Issue
2015-08-10 07:52 Dark-Assassin Note Added: 0013185
2015-08-10 13:39 Dusk Relationship added has duplicate 0002398
2015-08-10 13:41 Dusk Note Added: 0013192
2015-08-10 13:46 Klofkac Note Added: 0013193
2015-08-10 13:46 Klofkac Note Edited: 0013193 View Revisions
2015-08-10 13:50 Klofkac Note Edited: 0013193 View Revisions
2015-08-11 01:38 Dark-Assassin Note Added: 0013206
2015-08-11 01:39 Dark-Assassin Note Edited: 0013206 View Revisions
2015-08-11 07:06 HexaDoken Note Added: 0013207
2015-08-11 09:54 Klofkac Note Added: 0013208
2015-08-14 07:55 Dusk Note Added: 0013217
2015-08-14 07:55 Dusk Note Edited: 0013217 View Revisions
2022-06-20 23:06 duke Note Added: 0022272
2022-07-02 01:17 DrinkyBird Note Added: 0022274






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2022 MantisBT Team
Powered by Mantis Bugtracker